Bug 119062 - [GTK] Media Player's volume slider behavior is not consistent
Summary: [GTK] Media Player's volume slider behavior is not consistent
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-24 12:57 PDT by Danilo Cesar Lemes de Paula
Modified: 2013-08-13 06:13 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.15 KB, patch)
2013-08-12 09:07 PDT, Danilo Cesar Lemes de Paula
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo Cesar Lemes de Paula 2013-07-24 12:57:18 PDT
I'm not sure if it's expected or not the volume slider visibility behavior is a little bit odd.
When the video is playing and you pass the mouse over the sound icon inside the control box the volume slider shows up.

However it never hides itself again, even if the media button is pressed or the control box is hidden.

My suggestion would be to close the slider when the button is clicked or when the control box is hidden.
Comment 1 Danilo Cesar Lemes de Paula 2013-08-12 09:07:51 PDT
Created attachment 208545 [details]
Patch
Comment 2 Gustavo Noronha (kov) 2013-08-12 09:15:20 PDT
Comment on attachment 208545 [details]
Patch

OK, makeTransparent sucks as a name for this IMO, but I guess it's what we're stuck with.
Comment 3 WebKit Commit Bot 2013-08-13 06:13:28 PDT
Comment on attachment 208545 [details]
Patch

Clearing flags on attachment: 208545

Committed r154000: <http://trac.webkit.org/changeset/154000>
Comment 4 WebKit Commit Bot 2013-08-13 06:13:30 PDT
All reviewed patches have been landed.  Closing bug.